Get users and rights in a study
get
/ec-auth-svc/rest/v1.0/{studyId}/userrights
Returns all users in a study along with the list of rights assigned to each user. Useful for audit and study-level permission management.
Request
Path Parameters
-
studyId(required): string(uuid)
Unique identifier of the study whose user rights will be listedExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
objectMap keyed by username, value is set of right names.
Examples
400 Response
Bad request
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object